Summary:	Qt interface for PackageKit
Name:	  	packagekit-qt
Version:	0.3.1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Configuration/Packaging
Source0: 	http://maison.mymadcat.com/~madcat/qpackagekit/qpackagekit-%version.tar.gz
Patch0:		packagekit-qt-0.1b3-fix-underlink.patch
URL:		http://www.kde-apps.org/content/show.php/KPackageKit?content=84745
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel cmake
BuildRequires:	polkit-devel

%description
Qt interface for PackageKit.

#------------------------------------------------------------------------------
%define libname %mklibname packagekit-qt 2

%package -n %libname
Summary:	Libraries for packagekit-qt
Group:		System/Configuration/Packaging

%description -n %libname
Libraries for packagekit-qt.

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libpackagekit-qt.so.2*

#------------------------------------------------------------------------------
%package devel
Summary:	Development files for packagekit-qt
Group:		Development/KDE and Qt
Requires:	%libname = %version-%release

%description devel
Development files for packagekit-qt.

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/packagekit-qt
%{_datadir}/cmake-*/Modules/FindQPackageKit.cmake

#------------------------------------------------------------------------------
%prep
%setup -q -n qpackagekit-%version

%build
%cmake_qt4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Oct 16 2008 Funda Wang <fundawang@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 294095
- New version 0.3.1

* Wed Oct 01 2008 Funda Wang <fundawang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 290286
- 0.1 final

* Tue Aug 19 2008 Funda Wang <fundawang@mandriva.org> 0.1-0.b4.1mdv2009.0
+ Revision: 273669
- New version 0.1 b4

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 0.1-0.b3.1mdv2009.0
+ Revision: 234325
- fix group
- fix BR
- import packagekit-qt


